clang 10.0.0git

Public Member Functions | List of all members
clang::comments::CommentVisitorBase< Ptr, ImplClass, RetTy, ParamTys > Class Template Reference

`#include "clang/AST/CommentVisitor.h"`

Inheritance diagram for clang::comments::CommentVisitorBase< Ptr, ImplClass, RetTy, ParamTys >:
[legend]

## Public Member Functions
RetTy | visit (PTR(Comment) C, ParamTys... P)
RetTy | visitComment (PTR(Comment) C, ParamTys... P)

## Detailed Description

### template<template< typename > class Ptr, typename ImplClass, typename RetTy = void, class... ParamTys>
class clang::comments::CommentVisitorBase< Ptr, ImplClass, RetTy, ParamTys >

Definition at line 20 of file CommentVisitor.h.

## Member Function Documentation

## ◆ visit()

template<template< typename > class Ptr, typename ImplClass, typename RetTy = void, class... ParamTys>

RetTy clang::comments::CommentVisitorBase< Ptr, ImplClass, RetTy, ParamTys >::visit | ( | PTR(Comment) | C,
|  | ParamTys... | P
| ) |  |
| inline

Definition at line 27 of file CommentVisitor.h.

## ◆ visitComment()

template<template< typename > class Ptr, typename ImplClass, typename RetTy = void, class... ParamTys>

RetTy clang::comments::CommentVisitorBase< Ptr, ImplClass, RetTy, ParamTys >::visitComment | ( | PTR(Comment) | C,
|  | ParamTys... | P
| ) |  |
| inline

Definition at line 51 of file CommentVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/AST/CommentVisitor.h